### Method

# GimpUi ProcedureDialog get_size_entry

#### Declaration [src]

    GtkWidget*
    gimp_procedure_dialog_get_size_entry (
      GimpProcedureDialog* dialog,
      const gchar* property,
      gboolean property_is_pixel,
      const gchar* unit_property,
      const gchar* unit_format,
      GimpSizeEntryUpdatePolicy update_policy,
      gdouble resolution
    )

#### Description [src]

Creates a new `GimpSizeEntry` for `property` which must necessarily be an integer or double property. The associated `unit_property` must be a GimpUnit or integer property.

If a widget has already been created for this procedure, it will be returned instead (whatever its actual widget type).

#### Parameters

`property`

  Type: `const gchar*`

  Name of the int property to build an entry for. It must be a property of the `GimpProcedure` `dialog` has been created for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`property_is_pixel`

  Type: `gboolean`

  When `TRUE`, the property value is in pixels, and in the selected unit otherwise.

`unit_property`

  Type: `const gchar*`

  Name of unit property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`unit_format`

  Type: `const gchar*`

  A printf-like unit-format string used for unit labels.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`update_policy`

  Type: `GimpSizeEntryUpdatePolicy`

  How the automatic pixel <-> real-world-unit calculations should be done.

`resolution`

  Type: `gdouble`

  The resolution (in dpi) for the field.

#### Return value

Type: `GtkWidget`

The `GtkWidget` representing `property`. The object belongs to `dialog` and must not be freed.

The returned data is owned by the instance.